/*-------------------------------------------------------------------------*/
/*  J3W ver 6.40  3D Animation Kit                                         */
/*  j3wunit.h      5/30/98                                                 */
/*  Copyright (C) 1996 - 1999 Jun Mizutani <mizutani.jun@nifty.ne.jp>      */
/*                      All rights reserved.                               */
/*                                                                         */
/*   This file is part of the J3W 3D Animation Kit, and is covered under   */
/*  the terms of the GNU General Public License, version 2. This file has  */
/*  NO WARRANTY. See file COPYING for copyright details.                   */
/*                                                                         */
/*-------------------------------------------------------------------------*/

#if !defined(_j3wunit_h)
#define _j3wunit_h

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "spaceh3d.h"
#include "j3djob.h"

extern void  cbreak();
extern void  echo();
extern void  nocbreak();
extern void  noecho();
extern void  J3WCreate();
extern void  J3WOpen(short full, short sm, short dith, short zb);
extern void  J3WClose();
extern short J3WLoop();
extern void  J3WStart();
extern short J3WNew(char *FileName);
extern void  J3WTextShow();
extern void  J3WTextHide();
extern void  J3WMidiOpen();
extern void  J3WSetMem(short adr, long n);
extern long  J3WGetMem(short adr);
extern short J3WDeviceCount(short typ);
extern char *J3WDeviceName(short typ, short no);
extern void  J3WSetDevice(short typ, short no);

#endif

